Bug 188111 - Anaconda unhandled exception error
Anaconda unhandled exception error
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-06 00:38 EDT by Stephen Esquibel
Modified: 2008-05-06 11:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:45:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda Dump File (66.46 KB, text/plain)
2006-04-06 00:38 EDT, Stephen Esquibel
no flags Details

  None (edit)
Description Stephen Esquibel 2006-04-06 00:38:28 EDT
Description of problem:
Anaconda produces an unhandled exception error after package customization.  I
believe that it is related to partioning/formatting since no packages were
installed yet.  Here are the specs

Fedora - FC5
Two hard drives
  - hda1 (HP Recovery)
  - hda2 (Windows XP)

  - /hdb1 (/boot - standard)
  - /hdb2 (/spare - 20 GB)
  - /hdb3 (/winxfer - 10GB)
  - /hdb4
     - /hdb5 (/ - LVM-VolGroup00 130 GB)


Version-Release number of selected component (if applicable):
FC5 - Disk1 CD


How reproducible:
Everytime.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Stephen Esquibel 2006-04-06 00:38:28 EDT
Created attachment 127388 [details]
Anaconda Dump File
Comment 2 Stephen Esquibel 2006-04-06 09:41:07 EDT
I countered the issue by disconnecting the master (hda) drive and installing
from the CD.  The major difference that I noted was that I always chose not to
have GRUB installed on hda - MBR.  I would rather not have Windows complain.  So
Anaconda listed the other option as installing to /dev/hdb1 (mapped to /boot).

During the successful install, I noticed that Anaconda listed my only GRUB
location option as /dev/hdb MBR.  I did not change any jumpers on my drives,
merely disconnected the IDE cable.

Could this be an issue where the BIOS does not allow a write to the MBR if the
drive is configured as a slave on a two drive system?  This may be helpful to
prevent Anaconda from exiting abnormally from this unhandled exception.

I can provide motherboard, BIOS, and drive information if needed.
Comment 3 Bug Zapper 2008-04-03 22:34:20 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 11:45:28 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.